/*
 * TestGrid.java
 *
 * Walker M. White
 * October 21, 2001
 */
import javax.swing.*;
import java.awt.*;

/**
 * This class tests out the <code>GridLayout</code> layout class.
 * In this class, objects are arranged in a square grid of fixed
 * dimension.  You CANNOT add more objects that your grid allows.
 * If you do, it will automatically change to dimensions of the grid
 * (ruining all your formatting) to fit the additional elements.
 */
public class TestGrid extends JFrame {

    /** 
     * Constructor: JFrame with grid layout.
     */
    public TestGrid() {
        // Set the panel to obey the new layout.
        getContentPane().setLayout(new GridLayout(3,3));

        // Add some buttons.
        getContentPane().add(new JButton("One"));
        getContentPane().add(new JButton("Two"));
        getContentPane().add(new JButton("Three"));
        getContentPane().add(new JButton("Four"));
        getContentPane().add(new JButton("Five"));
        getContentPane().add(new JButton("Six"));
        getContentPane().add(new JButton("Seven"));
        getContentPane().add(new JButton("Eight"));
        getContentPane().add(new JButton("Nine"));
        
        // Size the frame and show it.
        setSize(200,400);
        setVisible(true);
    }
 
}
